Bug 1880127 - opm index export takes > 2 hrs to execute
Summary: opm index export takes > 2 hrs to execute
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Evan Cordell
QA Contact: yhui
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-17 18:05 UTC by Nick Hale
Modified: 2020-10-27 16:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:42:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-registry pull 429 0 None closed Bug 1880127: Parallelize opm index export 2020-11-26 02:18:36 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:42:33 UTC

Description Nick Hale 2020-09-17 18:05:19 UTC
Description of problem:

The `opm index export` command takes more than 2 hours to completely execute for sufficiently large catalogs. "sufficiently large" here being around the size of redhat-operators at the date this bug is authored.

Version-Release number of selected component (if applicable): 4.5


How reproducible: 

Always

Steps to Reproduce:

1. run `opm index export` against the redhat-operators catalog

Actual results:

Command execution takes > 2hrs to run to completion.

Expected results:

Command execution time is within some reasonably small -- 5 min? -- delta of the total size of the catalog / download rate.

Comment 3 yhui 2020-09-21 10:04:29 UTC
Version:
[root@preserve-olm-env downloaded]# opm version
Version: version.Version{OpmVersion:"v1.12.5-121-gfa10df6", GitCommit:"fa10df6", BuildDate:"2020-08-28T05:48:21Z", GoOs:"linux", GoArch:"amd64"}

Steps to test:
Run `opm index export` against the redhat-operators catalog

1, Execute "opm index export" with --container-tool none
[root@preserve-olm-env operator-registry]# opm index export -i registry.redhat.io/redhat/redhat-operator-index:v4.6 -o quay-operator
INFO[0000] export from the index                         index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0000] Pulling previous image registry.redhat.io/redhat/redhat-operator-index:v4.6 to get metadata  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0001] resolved name: registry.redhat.io/redhat/redhat-operator-index:v4.6  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0001] fetched                                       digest="sha256:bb4458c5bc5bdfdc05a1bb2561ce121a8c2610d957b79d00cc8f15e6fd454904" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:db34274eb2688999b3dc9c6d250b9e2ce3a6c115cfa3e10c6f9931ac750e026f" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:d923043d93eb5db9f37b22bbd613ceb30cf1b5a7c16beaa8e01425c75e769d98" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:531e41591f72a33fe27c99f97476d041725fd482f413e14821be8cb068ff2829" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:fad537da5497a7b1e8237ef7654681ad5b5ca07a3d8e868a2f690351af5c6bb1" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:a8eb47508088988efc0a62db1166e93c6d90edea47e0e856cd5af8efbb8f88b2" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:31d689b6c4b3fa29301d5421c965d7b426c45c03417322957da1a2b8a5ff1a64" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:5a2e186ca6c4caca9f042cbbd718ebe37b52b149f3ad885bef15a2c4f079782d" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:e29bb6799bfd93728ef5ebc5eb8587c7774420953ee2925821b4c32d442e2ecc" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:81549bbefc51872cb11a109a4eff923e165b492a2532aa3f4dce25302990527e" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:7d0f99f3a4d5016caa2f14f631b57dadf930327ec97b647c0529052984e83f3d" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:ec4eef9fdb55866e0827e99b0656cc37d4b6ca06c1c85b54190f537c3eaa4b08" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:1fdd6cfe973f2a703510fbd2405238c98a0732bf89e1db0d99135e56735da894" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:5ed87a3177a9f97a3ddde6d5d49f6afb36da44d3c42673c8c4a14d5b0b50797b" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:8cbbe060280efe084b59da5a1765ed39bed10185372718e5a5e74104b51c1a1c" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:9e45a1fca470f4e0ef93f68c5eb9c78500a777d9b6b65d7245fca92c7d0e0d2a" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:1fcdfc7af0f7b73276b5abe042aa4d8e77d9110e0f5a9a02aedf998d19eb2689" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:a65d1720da78365c7866aed037cfe4177677eb1b742ce0fba2f40c21f2d7007d" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:983a534b9c6d1e9a769f683f35e65e468db3c135bbcc7909707bfbe19c12599d" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:15748ecba2bc3aaf1b705da010999a28ad6beaf9607b0e7f3b88d60189644be0" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:ae8a0c23f5b15f165e0f4adf88b8bd563d8e71f2b4c7639945c421d16fda0155" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:4f2b1653cbce02ed0356a10c297593982192da7848ac9526e84254eb59b2ebfd" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:2a228932f0cd7cd16a6f4c604d5e7c1a2ff577f22d87a659a92dbe82816962cd" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:f2cecc81487d558917493a45139c72f4ee2821c9f00d006d54ff46c6dad4c79e" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] fetched                                       digest="sha256:6d9afe4a226e206311b51cca61ab7539c84d0dba93714e0b71da79e9b7599b14" index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
WARN[0007] {"architecture":"amd64","config":{"User":"1001","ExposedPorts":{"50051/tcp":{}},"Env":["__doozer=merge","BUILD_RELEASE=202009041639.p0","BUILD_VERSION=v4.5.0","OS_GIT_MAJOR=4","OS_GIT_MINOR=5","OS_GIT_PATCH=0","OS_GIT_TREE_STATE=clean","OS_GIT_VERSION=4.5.0-202009041639.p0-ff05bb7","SOURCE_GIT_TREE_STATE=clean","KUBE_GIT_COMMIT=ff05bb74683ba02ea8ca898e21ed9f610ffc4e21","KUBE_GIT_MAJOR=1","KUBE_GIT_MINOR=13+","KUBE_GIT_TREE_STATE=clean","KUBE_GIT_VERSION=v1.13.0+ff05bb7","OS_GIT_COMMIT=ff05bb7","SOURCE_DATE_EPOCH=1599235405","SOURCE_GIT_COMMIT=ff05bb74683ba02ea8ca898e21ed9f610ffc4e21","SOURCE_GIT_TAG=v1.12.5-8-gff05bb7","SOURCE_GIT_URL=https://github.com/operator-framework/operator-registry","PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin","container=oci"],"Entrypoint":["/bin/opm"],"Cmd":["registry","serve","--database","/database/index.db"],"WorkingDir":"/registry","Labels":{"License":"GPLv2+","architecture":"x86_64","build-date":"2020-09-04T17:16:02.051285","com.redhat.build-host":"cpt-1001.osbs.prod.upshift.rdu2.redhat.com","com.redhat.component":"operator-registry-container","com.redhat.index.delivery.version":"v4.6","com.redhat.license_terms":"https://www.redhat.com/agreements","description":"This is a component of OpenShift Operator Lifecycle Manager and is the base for operator catalog API containers.","distribution-scope":"public","io.k8s.description":"This is a component of OpenShift Operator Lifecycle Manager and is the base for operator catalog API containers.","io.k8s.display-name":"OpenShift Operator Registry","io.openshift.build.commit.id":"ff05bb74683ba02ea8ca898e21ed9f610ffc4e21","io.openshift.build.commit.url":"https://github.com/operator-framework/operator-registry/commit/ff05bb74683ba02ea8ca898e21ed9f610ffc4e21","io.openshift.build.source-location":"https://github.com/operator-framework/operator-registry","io.openshift.maintainer.component":"OLM","io.openshift.maintainer.product":"OpenShift Container Platform","io.openshift.tags":"openshift,base","maintainer":"Odin Team \u003caos-odin@redhat.com\u003e","name":"openshift/ose-operator-registry","operators.operatorframework.io.index.database.v1":"/database/index.db","release":"202009041639.p0","summary":"Operator Registry runs in a Kubernetes or OpenShift cluster to provide operator catalog data to Operator Lifecycle Manager.","url":"https://access.redhat.com/containers/#/registry.access.redhat.com/openshift/ose-operator-registry/images/v4.5.0-202009041639.p0","vcs-ref":"231e4bfc7498b80eb2c185061590bc9a12da161c","vcs-type":"git","vendor":"Red Hat, Inc.","version":"v4.5.0"}},"created":"2020-09-14T20:36:34.155741151Z","history":[{"created":"2020-08-03T09:32:12.941515506Z","comment":"Imported from -"},{"created":"2020-08-03T09:32:22.835719Z"},{"created":"2020-09-04T12:43:40.55971Z"},{"created":"2020-09-04T13:33:08.528191315Z","created_by":"#(imagebuilder)\nsleep 86400"},{"created":"2020-09-04T17:22:19.70311977Z","created_by":"#(imagebuilder)\nsleep 86400"},{"created":"2020-09-14T16:36:33.730991344-04:00","created_by":"/bin/sh -c #(nop) LABEL operators.operatorframework.io.index.database.v1=/database/index.db","empty_layer":true},{"created":"2020-09-14T16:36:34.154928335-04:00","created_by":"/bin/sh -c #(nop) ADD file:53ff0ad78409552e75411a5fae799f2a71d705ecc16696bb35c9f53d3a431166 in /database/index.db ","empty_layer":true},{"created":"2020-09-14T16:36:34.154997383-04:00","created_by":"/bin/sh -c #(nop) EXPOSE 50051","empty_layer":true},{"created":"2020-09-14T16:36:34.155011284-04:00","created_by":"/bin/sh -c #(nop) ENTRYPOINT [\"/bin/opm\"]","empty_layer":true},{"created":"2020-09-14T16:36:34.155023846-04:00","created_by":"/bin/sh -c #(nop) CMD [\"registry\", \"serve\", \"--database\", \"/database/index.db\"]","empty_layer":true},{"created":"2020-09-14T20:36:34.155741151Z"}],"os":"linux","rootfs":{"type":"layers","diff_ids":["sha256:2acea37b6b28a986fa6df61686e668eba93ba74054611deba8852fcc1875f124","sha256:2ef4d19ea8cab9bc9d485ef0db272215dd112b1551022c4fa7ba630e53e47644","sha256:76f70fef8e7e12880e7ac04f22456194f0aa2df196dadad61b8013bf783db34a","sha256:5aa3763ef20f1479b17af92093d35b3718827b24959b6997b441247e783d3af4","sha256:5c93cb68e7ca291e8033af04905c19eff98954a28a457b045d3aff5c5fec560c","sha256:e289a49dbd22ba0bd87f14962f93384e87273481c8b22a87c3f96d42650fe0b2"]}}  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0007] unpacking layer: {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:4f2b1653cbce02ed0356a10c297593982192da7848ac9526e84254eb59b2ebfd 80514015 [] map[] <nil>}  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0010] unpacking layer: {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:ae8a0c23f5b15f165e0f4adf88b8bd563d8e71f2b4c7639945c421d16fda0155 1805 [] map[] <nil>}  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0010] unpacking layer: {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:15748ecba2bc3aaf1b705da010999a28ad6beaf9607b0e7f3b88d60189644be0 3679625 [] map[] <nil>}  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0010] unpacking layer: {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:6d9afe4a226e206311b51cca61ab7539c84d0dba93714e0b71da79e9b7599b14 10028028 [] map[] <nil>}  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0011] unpacking layer: {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:2a228932f0cd7cd16a6f4c604d5e7c1a2ff577f22d87a659a92dbe82816962cd 99778216 [] map[] <nil>}  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0012] unpacking layer: {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:983a534b9c6d1e9a769f683f35e65e468db3c135bbcc7909707bfbe19c12599d 1308957 [] map[] <nil>}  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0013] Preparing to pull bundles ["registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a" "registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"]  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0014] resolved name: registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a  img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0014] fetched                                       digest="sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a" img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0015] fetched                                       digest="sha256:3847e371c281d4ef6d443ee3f46880ae33a6b526caa56cc3e429b9f2b467054c" img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0015] fetched                                       digest="sha256:5c616edeed904b1b9d2f69e15bb42ea9764030dbb4951889bcf82d7830aa140d" img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0015] unpacking layer: {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:3847e371c281d4ef6d443ee3f46880ae33a6b526caa56cc3e429b9f2b467054c 22373 [] map[] <nil>}  img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0017] resolved name: registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd  img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0017] fetched                                       digest="sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd" img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0017] fetched                                       digest="sha256:763b37b1cd8ba86817ca2291400ebeeccfc31dad02877246a488ce7d89e60369" img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0017] fetched                                       digest="sha256:e156b3fddc1b077ec37db81cc65207bf1d405c0535fc83afcce4a48df71aceb8" img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0018] unpacking layer: {application/vnd.docker.image.rootfs.diff.tar.gzip sha256:763b37b1cd8ba86817ca2291400ebeeccfc31dad02877246a488ce7d89e60369 16355 [] map[] <nil>}  img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0018] Writing package.yaml in downloaded


2, Execute "opm index export" with --container-tool docker 
[root@preserve-olm-env operator-registry]# opm index export -i registry.redhat.io/redhat/redhat-operator-index:v4.6 -o quay-operator -c docker
INFO[0000] export from the index                         index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0000] Pulling previous image registry.redhat.io/redhat/redhat-operator-index:v4.6 to get metadata  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0000] running /usr/bin/docker pull registry.redhat.io/redhat/redhat-operator-index:v4.6  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0002] running /usr/bin/docker pull registry.redhat.io/redhat/redhat-operator-index:v4.6  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0005] Getting label data from previous image        index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0005] running docker inspect                        index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0005] running docker create                         index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0005] running docker cp                             index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0007] running docker rm                             index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0007] Preparing to pull bundles ["registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a" "registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"]  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0007] running /usr/bin/docker pull registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a  img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0009] running docker create                         img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0009] running docker cp                             img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0009] running docker rm                             img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0009] running /usr/bin/docker pull registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd  img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0011] running docker create                         img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0011] running docker cp                             img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0011] running docker rm                             img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0011] Writing package.yaml in downloaded


3, Execute "opm index export" with --container-tool podman
[root@preserve-olm-env operator-registry]# opm index export -i registry.redhat.io/redhat/redhat-operator-index:v4.6 -o quay-operator -c podman
INFO[0000] export from the index                         index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0000] Pulling previous image registry.redhat.io/redhat/redhat-operator-index:v4.6 to get metadata  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0000] running /usr/bin/podman pull registry.redhat.io/redhat/redhat-operator-index:v4.6  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0013] running /usr/bin/podman pull registry.redhat.io/redhat/redhat-operator-index:v4.6  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0017] Getting label data from previous image        index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0017] running podman inspect                        index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0017] running podman create                         index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0017] running podman cp                             index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0021] running podman rm                             index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0021] Preparing to pull bundles ["registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a" "registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"]  index="registry.redhat.io/redhat/redhat-operator-index:v4.6" package=quay-operator
INFO[0021] running /usr/bin/podman pull registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a  img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0025] running podman create                         img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0025] running podman cp                             img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0026] running podman rm                             img="registry.redhat.io/quay/quay-operator-bundle@sha256:f44ec43ace96887f007ef02b0f4234124df9c322c9349bce6f079667af2abc7a"
INFO[0026] running /usr/bin/podman pull registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd  img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0030] running podman create                         img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0030] running podman cp                             img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0030] running podman rm                             img="registry.redhat.io/quay/quay-rhel8-operator-metadata@sha256:fb6dd8f1a117002c3304ea1ffcd461854e8c358ad11e162a092c222957730bfd"
INFO[0031] Writing package.yaml in downloaded

The execution time is about 1~2 minutes. Verify the bug.

Comment 6 errata-xmlrpc 2020-10-27 16:42:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.